# Content types

[main]
name = Tor Project blog
url_path = /feed.xml
items = site.query('/blog')
limit = 10
blog_author = The Tor Project
blog_summary = Official channel for news and updates from the Tor Project
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[events]
name = Tor Project events
items = site.query('/event')
url_path = /event/feed.xml
limit = 10
blog_author = The Tor Project
blog_summary = Official channel for news and updates from the Tor Project
item_date_field = start_date
item_body = {{ this.body or this._html_body }}


# Categories

[advocacy]
name = Advocacy category | Tor Project blog
url_path = /category/advocacy/feed.xml
items = site.query('/blog').filter(F.categories.contains('advocacy'))
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[announcements]
name = Announcements category | Tor Project blog
url_path = /category/announcements/feed.xml
items = site.query('/blog').filter(F.categories.contains('announcements'))
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[applications]
name = Applications category | Tor Project blog
url_path = /category/applications/feed.xml
items = site.query('/blog').filter(F.categories.contains('applications'))
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[circumvention]
name = Circumvention category | Tor Project blog
url_path = /category/circumvention/feed.xml
items = site.query('/blog').filter(F.categories.contains('circumvention'))
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[community]
name = Community category | Tor Project blog
url_path = /category/community/feed.xml
items = site.query('/blog').filter(F.categories.contains('community'))
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[devops]
name = Devops category | Tor Project blog
url_path = /category/devops/feed.xml
items = site.query('/blog').filter(F.categories.contains('devops'))
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[fundraising]
name = Fundraising category | Tor Project blog
url_path = /category/fundraising/feed.xml
items = site.query('/blog').filter(F.categories.contains('fundraising'))
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[financials]
name = Financials category | Tor Project blog
url_path = /category/financials/feed.xml
items = site.query('/blog').filter(F.categories.contains('financials'))
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[global south]
name = Global south category | Tor Project blog
url_path = /category/global south/feed.xml
items = site.query('/blog').filter(F.categories.contains('global south'))
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[human rights]
name = Human rights category | Tor Project blog
url_path = /category/human rights/feed.xml
items = site.query('/blog').filter(F.categories.contains('human rights'))
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[jobs]
name = Jobs category | Tor Project blog
url_path = /category/jobs/feed.xml
items = site.query('/blog').filter(F.categories.contains('jobs'))
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[localization]
name = Localization category | Tor Project blog
url_path = /category/localization/feed.xml
items = site.query('/blog').filter(F.categories.contains('localization'))
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[metrics]
name = Metrics category | Tor Project blog
url_path = /category/metrics/feed.xml
items = site.query('/blog').filter(F.categories.contains('metrics'))
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[network]
name = Network category | Tor Project blog
url_path = /category/network/feed.xml
items = site.query('/blog').filter(F.categories.contains('network'))
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[onion services]
name = Onion services category | Tor Project blog
url_path = /category/onion-services/feed.xml
items = site.query('/').filter(F._model == 'blog-post' and F.categories.contains('onion services'))
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[partners]
name = Partners category | Tor Project blog
url_path = /category/partners/feed.xml
items = site.query('/blog').filter(F.categories.contains('partners'))
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}


[relays]
name = Relays category | Tor Project blog
url_path = /category/relays/feed.xml
items = site.query('/blog').filter(F.categories.contains('relays'))
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[releases]
name = Releases category | Tor Project blog
url_path = /category/releases/feed.xml
items = site.query('/blog').filter(F.categories.contains('releases'))
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[reports]
name = Reports category | Tor Project blog
url_path = /category/reports/feed.xml
items = site.query('/blog').filter(F.categories.contains('reports'))
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[research]
name = Research category | Tor Project blog
url_path = /category/research/feed.xml
items = site.query('/blog').filter(F.categories.contains('research'))
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[usability]
name = Usability category | Tor Project blog
url_path = /category/usability/feed.xml
items = site.query('/blog').filter(F.categories.contains('usability'))
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}


# Authors
# (active with >= 10 posts)

[agrabeli]
name = Posts by agrabeli | Tor Project blog
url_path = /author/agrabeli/feed.xml
items = site.query('/blog').filter(F.author == 'agrabeli')
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[alsmith]
name = Posts by alsmith | Tor Project blog
url_path = /author/alsmith/feed.xml
items = site.query('/blog').filter(F.author == 'alsmith')
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[antonela]
name = Posts by antonela | Tor Project blog
url_path = /author/antonela/feed.xml
items = site.query('/blog').filter(F.author == 'antonela')
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[arma]
name = Posts by arma | Tor Project blog
url_path = /author/arma/feed.xml
items = site.query('/blog').filter(F.author == 'arma')
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[asn]
name = Posts by asn | Tor Project blog
url_path = /author/asn/feed.xml
items = site.query('/blog').filter(F.author == 'asn')
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[atagar]
name = Posts by atagar | Tor Project blog
url_path = /author/atagar/feed.xml
items = site.query('/blog').filter(F.author == 'atagar')
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[boklm]
name = Posts by boklm | Tor Project blog
url_path = /author/boklm/feed.xml
items = site.query('/blog').filter(F.author == 'boklm')
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[dcf]
name = Posts by dcf | Tor Project blog
url_path = /author/dcf/feed.xml
items = site.query('/blog').filter(F.author == 'dcf')
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[ggus]
name = Posts by ggus | Tor Project blog
url_path = /author/ggus/feed.xml
items = site.query('/blog').filter(F.author == 'ggus')
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[gk]
name = Posts by gk | Tor Project blog
url_path = /author/gk/feed.xml
items = site.query('/blog').filter(F.author == 'gk')
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[isabela]
name = Posts by isabela | Tor Project blog
url_path = /author/isabela/feed.xml
items = site.query('/blog').filter(F.author == 'isabela')
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[mikeperry]
name = Posts by mikeperry | Tor Project blog
url_path = /author/mikeperry/feed.xml
items = site.query('/blog').filter(F.author == 'mikeperry')
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[nickm]
name = Posts by nickm | Tor Project blog
url_path = /author/nickm/feed.xml
items = site.query('/blog').filter(F.author == 'nickm')
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[phw]
name = Posts by phw | Tor Project blog
url_path = /author/phw/feed.xml
items = site.query('/blog').filter(F.author == 'phw')
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[ssteele]
name = Posts by ssteele | Tor Project blog
url_path = /author/ssteele/feed.xml
items = site.query('/blog').filter(F.author == 'ssteele')
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[sukhbir]
name = Posts by sukhbir | Tor Project blog
url_path = /author/sukhbir/feed.xml
items = site.query('/blog').filter(F.author == 'sukhbir')
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[sysrqb]
name = Posts by sysrqb | Tor Project blog
url_path = /author/sysrqb/feed.xml
items = site.query('/blog').filter(F.author == 'sysrqb')
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}

[tails]
name = Posts by tails | Tor Project blog
url_path = /author/tails/feed.xml
items = site.query('/blog').filter(F.author == 'tails')
limit = 10
item_body = {% import "macros/blog.html" as blog %}{{ blog.render(this, from_feed=true) }}
